using System.Collections.Generic;
using Managistics.Model;

namespace Managistics.Core.Repositories
{
    public interface ISaleOrderRepository : IRepository<SaleOrder, string>
    {
        /// <summary>
        /// Get Sale Order object by order id.
        /// </summary>
        /// <param name="orderId">Id of the sale order</param>
        SaleOrder GetOrderById(string orderId);
    }
}