using System;
using System.Collections.Generic;

namespace Managistics.Model
{
    [Serializable()]
    public class ItemType : Entity<string>
    {
        private Catalog _catalog;
        private string _itemTypeName;
        private string _descriptionItemType;
        public ItemType() { }
        public virtual string Code
        {
            get
            {
                return this._id;
            }
            set
            {
                this._id = value;
            }
        }
        public virtual Catalog Catalog
        {
            get
            {
                return this._catalog;
            }
            set
            {
                this._catalog = value;
            }
        }
        public virtual string ItemTypeName
        {
            get
            {
                return this._itemTypeName;
            }
            set
            {
                this._itemTypeName = value;
            }
        }
        public virtual string DescriptionItemType
        {
            get
            {
                return this._descriptionItemType;
            }
            set
            {
                this._descriptionItemType = value;
            }
        }
    }

}
