﻿using Managistics.Warehouse.Configuration;
using Managistics.Warehouse.Controllers.Interfaces;
using Managistics.Warehouse.Views.Interfaces;
using Managistics.Warehouse.Factories;
using Managistics.Core.Services;

namespace Managistics.Warehouse.Controllers
{
    public class SaleReportsController : ISaleReportsController
    {
        readonly ISaleReportsView fromSaleReportsView;

        public SaleReportsController(ISaleReportsView fromSaleReportsView)
        {
            this.fromSaleReportsView = fromSaleReportsView;
        }

        public void Run()
        {
            fromSaleReportsView.Open();
        }

        public void Stop(string key) { }
    }
}