using System;
using System.Collections.Generic;

namespace Managistics.Model
{
    [Serializable()]
    public class Employee : Entity<string>
    {
        private City _city;
        private string _lastname;
        private string _firstname;
        private bool _sex;
        private string _mobileEmployees;
        private string _emailCompany;
        private string _officePhone;
        private bool _status;
        private string _positions;
        private string _department;
        private DateTime _dateHired;
        public Employee() { }
        public virtual string Code
        {
            get
            {
                return this._id;
            }
            set
            {
                this._id = value;
            }
        }
        public virtual City City {
            get {
                return this._city;
            }
            set {
                this._city = value;
            }
        }
        public virtual string Lastname {
            get {
                return this._lastname;
            }
            set {
                this._lastname = value;
            }
        }
        public virtual string Firstname {
            get {
                return this._firstname;
            }
            set {
                this._firstname = value;
            }
        }
        public virtual bool Sex {
            get {
                return this._sex;
            }
            set {
                this._sex = value;
            }
        }
        public virtual string MobileEmployees {
            get {
                return this._mobileEmployees;
            }
            set {
                this._mobileEmployees = value;
            }
        }
        public virtual string EmailCompany {
            get {
                return this._emailCompany;
            }
            set {
                this._emailCompany = value;
            }
        }
        public virtual string OfficePhone {
            get {
                return this._officePhone;
            }
            set {
                this._officePhone = value;
            }
        }
        public virtual bool Status {
            get {
                return this._status;
            }
            set {
                this._status = value;
            }
        }
        public virtual string Positions {
            get {
                return this._positions;
            }
            set {
                this._positions = value;
            }
        }
        public virtual string Department {
            get {
                return this._department;
            }
            set {
                this._department = value;
            }
        }
        public virtual DateTime DateHired {
            get {
                return this._dateHired;
            }
            set {
                this._dateHired = value;
            }
        }
    }

}
