﻿using Managistics.Warehouse.Configuration;
using Managistics.Warehouse.Controllers.Interfaces;
using Managistics.Warehouse.Views.Interfaces;
using Managistics.Warehouse.Factories;
using Managistics.Core.Services;

namespace Managistics.Warehouse.Controllers
{
    public class ViewEnterOutputSheetController : IViewEnterOutputSheetController
    {
        readonly IViewEnterOutputSheetView fromViewEnterOutputView;

        public ViewEnterOutputSheetController(IViewEnterOutputSheetView fromViewEnterOutputView)
        {
            this.fromViewEnterOutputView = fromViewEnterOutputView;
        }

        public void Run()
        {
            fromViewEnterOutputView.Open();
        }

        public void Stop(string key) { }
    }
}