using System; 
using System.Collections.Generic; 
using System.Text; 
using FluentNHibernate.Mapping;
using Managistics.Model; 

namespace Managistics.Model.Mappings {
    
    
    public class ContactpersonsMap : ClassMap<Contactpersons> {
        
        public ContactpersonsMap() {
			Table("ContactPersons");
			LazyLoad();
			Id(x => x.Contactid).GeneratedBy.Assigned().Column("ContactID");
			References(x => x.Customers).Column("CustomerID");
			Map(x => x.Contactname).Column("ContactName").Length(4000);
        }
    }
}
