using System; 
using System.Collections.Generic; 
using System.Text; 
using FluentNHibernate.Mapping;
using Managistics.Model; 

namespace Managistics.Model.Mappings {
    
    
    public class CountryMap : ClassMap<Country> {
        
        public CountryMap() {
			Table("COUNTRY");
			LazyLoad();
			Id(x => x.Countryid).GeneratedBy.Assigned().Column("COUNTRYID");
			Map(x => x.Countryname).Column("COUNTRYNAME").Not.Nullable().Length(100);
			Map(x => x.Capital).Column("CAPITAL").Length(50);
			Map(x => x.Monetary).Column("MONETARY").Length(10);
			HasMany(x => x.City).KeyColumn("COUNTRYID");
        }
    }
}
