using System;
using System.Text;
using System.Collections.Generic;


namespace Managistics.Model {
    
    public class Items {
        private string itemId;
        private ItemType ItemType;
        private UnitItem UnitItem;
        private string productCode;
        private string productName;
        private string orderCode;
        private string supplierid;
        private string itemName1;
        private string itemName2;
        private string warrantyPeriod;
        private string descriptionItem;
        private string weightItem;
        private string sizeItem;
        private short? vatItem;
        private string noteItem;
        private float? sellPriceNotIncludeVat;
        private int? quantityInCarton;
        private float? minQtyOfStock;
        private string colour;
        private float inStock;
        private float buyPriceNotIncludeVat;
        private int? convertunit;
        private string paritycode;
        public Items() {
			Customs = new List<Customs>();
			DetailInputSheetDomestic = new List<DetailInputSheetDomestic>();
			DetailInputSheetOversea = new List<DetailInputSheetOversea>();
			DetailIntputSheetTd = new List<DetailIntputSheetTd>();
			DetailOrderCus = new List<DetailOrderCus>();
			DetailOrderNn = new List<DetailOrderNn>();
			DetailOrderTd = new List<DetailOrderTd>();
			DetailOutputSheetTd = new List<DetailOutputSheetTd>();
			DetailReturnItem = new List<DetailReturnItem>();
			DetailReturnItemNn = new List<DetailReturnItemNn>();
			IoOrderThuduc = new List<IoOrderThuduc>();
        }
        public virtual IList<Customs> Customs { get; set; }
        public virtual IList<DetailInputSheetDomestic> DetailInputSheetDomestic { get; set; }
        public virtual IList<DetailInputSheetOversea> DetailInputSheetOversea { get; set; }
        public virtual IList<DetailIntputSheetTd> DetailIntputSheetTd { get; set; }
        public virtual IList<DetailOrderCus> DetailOrderCus { get; set; }
        public virtual IList<DetailOrderNn> DetailOrderNn { get; set; }
        public virtual IList<DetailOrderTd> DetailOrderTd { get; set; }
        public virtual IList<DetailOutputSheetTd> DetailOutputSheetTd { get; set; }
        public virtual IList<DetailReturnItem> DetailReturnItem { get; set; }
        public virtual IList<DetailReturnItemNn> DetailReturnItemNn { get; set; }
        public virtual IList<IoOrderThuduc> IoOrderThuduc { get; set; }
    }
}
