using System;
using System.Text;
using System.Collections.Generic;


namespace Managistics.Model {
    
    public class OrderCustomers {
        private string _orderidC;
        private Customers _customers;
        private Employees _employees;
        private DateTime _orderdate;
        private DateTime _requestdate;
        private DateTime _shippingDate;
        private string _shipAddress;
        private bool? _statusC;
        private string _noteC;
        private string _payConditionC;
        private DateTime? _completeDateCo;
        private bool? _typeVat;
        private string _confirmnote;
        private string _contactname;
        private bool? _typeorder;
        private string _title;
        private short _numOutput;
        private short _numReturn;
        public OrderCustomers() {
			DetailOrderCus = new List<DetailOrderCus>();
			OutputSheetTd = new List<OutputSheetTd>();
			ReturnItem = new List<ReturnItem>();
        }
        public virtual string OrderidC {
            get {
                return this._orderidC;
            }
            set {
                this._orderidC = value;
            }
        }
        public virtual Customers Customers {
            get {
                return this._customers;
            }
            set {
                this._customers = value;
            }
        }
        public virtual Employees Employees {
            get {
                return this._employees;
            }
            set {
                this._employees = value;
            }
        }
        public virtual DateTime Orderdate {
            get {
                return this._orderdate;
            }
            set {
                this._orderdate = value;
            }
        }
        public virtual DateTime Requestdate {
            get {
                return this._requestdate;
            }
            set {
                this._requestdate = value;
            }
        }
        public virtual DateTime ShippingDate {
            get {
                return this._shippingDate;
            }
            set {
                this._shippingDate = value;
            }
        }
        public virtual string ShipAddress {
            get {
                return this._shipAddress;
            }
            set {
                this._shipAddress = value;
            }
        }
        public virtual bool? StatusC {
            get {
                return this._statusC;
            }
            set {
                this._statusC = value;
            }
        }
        public virtual string NoteC {
            get {
                return this._noteC;
            }
            set {
                this._noteC = value;
            }
        }
        public virtual string PayConditionC {
            get {
                return this._payConditionC;
            }
            set {
                this._payConditionC = value;
            }
        }
        public virtual DateTime? CompleteDateCo {
            get {
                return this._completeDateCo;
            }
            set {
                this._completeDateCo = value;
            }
        }
        public virtual bool? TypeVat {
            get {
                return this._typeVat;
            }
            set {
                this._typeVat = value;
            }
        }
        public virtual string Confirmnote {
            get {
                return this._confirmnote;
            }
            set {
                this._confirmnote = value;
            }
        }
        public virtual string Contactname {
            get {
                return this._contactname;
            }
            set {
                this._contactname = value;
            }
        }
        public virtual bool? Typeorder {
            get {
                return this._typeorder;
            }
            set {
                this._typeorder = value;
            }
        }
        public virtual string Title {
            get {
                return this._title;
            }
            set {
                this._title = value;
            }
        }
        public virtual short NumOutput {
            get {
                return this._numOutput;
            }
            set {
                this._numOutput = value;
            }
        }
        public virtual short NumReturn {
            get {
                return this._numReturn;
            }
            set {
                this._numReturn = value;
            }
        }
        public virtual IList<DetailOrderCus> DetailOrderCus { get; set; }
        public virtual IList<OutputSheetTd> OutputSheetTd { get; set; }
        public virtual IList<ReturnItem> ReturnItem { get; set; }
    }
}
