using System; 
using System.Collections.Generic; 
using System.Text; 
using FluentNHibernate.Mapping;
using Managistics.Model; 

namespace Managistics.Model.Mappings {
    
    
    public class UnitItemMap : ClassMap<UnitItem> {
        
        public UnitItemMap() {
			Table("UNIT_ITEM");
			LazyLoad();
			Id(x => x.UnitItemId).GeneratedBy.Assigned().Column("UNIT_ITEM_ID");
			Map(x => x.UnitItemName).Column("UNIT_ITEM_NAME").Not.Nullable().Length(50);
			HasMany(x => x.Items).KeyColumn("UNIT_ITEM_ID");
        }
    }
}
